Extending Qt Creator Manual | SimpleRunControl

Extending Qt Creator Manual 4.3.0

# SimpleRunControl Class

(ProjectExplorer::SimpleRunControl)

Inherits: | ProjectExplorer::RunControl

- List of all members, including inherited members

## Public Functions

| SimpleRunControl(RunConfiguration *runConfiguration, Core::Id mode)
| ~SimpleRunControl()
ApplicationLauncher & | applicationLauncher()
virtual void | onProcessFinished(int exitCode, QProcess::ExitStatus status)
virtual void | onProcessStarted()

- 24 public functions inherited from ProjectExplorer::RunControl

### Additional Inherited Members

- 4 signals inherited from ProjectExplorer::RunControl
- 3 protected functions inherited from ProjectExplorer::RunControl

## Member Function Documentation

### SimpleRunControl::SimpleRunControl(RunConfiguration *runConfiguration, Core::Id mode)

Default constructs an instance of SimpleRunControl.

### SimpleRunControl::~SimpleRunControl()

Destroys the instance of SimpleRunControl.

### ApplicationLauncher &SimpleRunControl::applicationLauncher()

### `[virtual]` void SimpleRunControl::onProcessFinished(int exitCode, QProcess::ExitStatus status)

### `[virtual]` void SimpleRunControl::onProcessStarted()